Name:           colordiff
Version:        1.0.21
Release:        %mkrel 1
Summary:        Wrapper for diff that produces output with syntax highlighting
Group:          Development/Tools
License:        GPLv2+
Url:            https://www.colordiff.org
Source0:        https://www.colordiff.org/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       diffutils
Requires:       less
Requires:       webfetch

%description
The Perl script colordiff is a wrapper for diff. It produces the same
output but with syntax highlighting. Color schemes can be customized.

%prep
%autosetup -p1

%build

%install
%make_install \
  INSTALL_DIR=%{_bindir} \
  MAN_DIR=%{_mandir}/man1

%files
%doc BUGS CHANGES colordiffrc-gitdiff colordiffrc-lightbg README
%license COPYING
%{_bindir}/cdiff
%{_bindir}/%{name}
%{_mandir}/man1/cdiff.1*
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/colordiffrc


%changelog
* Thu Dec 22 2022 daviddavid <daviddavid> 1.0.21-1.mga9
+ Revision: 1925872
- new version: 1.0.21

* Fri Mar 25 2022 akien <akien> 1.0.20-1.mga9
+ Revision: 1825793
- Version 1.0.20

* Mon Mar 21 2022 umeabot <umeabot> 1.0.19-2.mga9
+ Revision: 1812590
- Mageia 9 Mass Rebuild

* Mon Apr 20 2020 daviddavid <daviddavid> 1.0.19-1.mga8
+ Revision: 1569955
- new version: 1.0.19

* Tue Feb 11 2020 umeabot <umeabot> 1.0.18-3.mga8
+ Revision: 1489536
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.18-2.mga7
+ Revision: 1260744
- Mageia 7 Mass Rebuild

* Sat Jun 03 2017 akien <akien> 1.0.18-1.mga6
+ Revision: 1106338
- Version 1.0.18

* Sat Jan 23 2016 daviddavid <daviddavid> 1.0.16-1.mga6
+ Revision: 926617
- new version: 1.0.16

* Wed Oct 15 2014 umeabot <umeabot> 1.0.13-5.mga5
+ Revision: 749558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.13-4.mga5
+ Revision: 678483
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.13-3.mga4
+ Revision: 503443
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.13-2.mga3
+ Revision: 348020
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 malo <malo> 1.0.13-1.mga3
+ Revision: 318348
- update to 1.0.13
- update URL
- update RPM group
- spec clean-up

* Tue Jul 03 2012 shlomif <shlomif> 1.0.10-1.mga3
+ Revision: 267041
- New version 1.0.10

* Sat Apr 21 2012 tv <tv> 1.0.9-3.mga2
+ Revision: 232263
- no need to require perl

* Thu Nov 03 2011 malo <malo> 1.0.9-2.mga2
+ Revision: 162540
- imported package colordiff


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.9-2mdv2011.0
+ Revision: 617405
- the mass rebuild of 2010.0 packages

* Thu Aug 13 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.9-1mdv2010.0
+ Revision: 416111
- New version 1.0.9

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 1.0.8a-1mdv2009.1
+ Revision: 342395
- New upstream release

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.0.7-3mdv2009.0
+ Revision: 243596
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.7-1mdv2008.1
+ Revision: 132040
- New release

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Feb 24 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.6-1mdv2007.0
+ Revision: 125249
- New release 1.0.6
- Import colordiff

* Mon Sep 05 2005 David Walluck <walluck@mandriva.org> 1.0.5-1mdk
- 1.0.5
- require diffutils (for diff), and less and webfetch (needed by cdiff)
- add url to Source0
- turn off banner by default
- add full docs and colordiffrc-lightbg
- include cdiff script

* Sun Feb 06 2005 Charles A Edwards <eslrahc@manndrake.org> 1.0.4-2mdk
- bday build

